gtkmm 2.4: Gtk::Assistant Class Reference

Main Page Widgets Namespaces Book

# Gtk::Assistant Class Reference
[Dialogs]

Inheritance diagram for Gtk::Assistant:

[legend]
List of all members.

## Detailed Description

TODO.

Since gtkmm 2.10:

## Public Types
typedef sigc::slot<int, int> | SlotForwardPage
## Public Member Functions
void | add_action_widget (Widget& child)
int | append_page (Widget& page)
| Assistant ()
int | get_current_page () const
int | get_n_pages () const
const Widget* | get_nth_page (int page_num) const
Widget* | get_nth_page (int page_num)
bool | get_page_complete (const Widget& page) const
Glib::RefPtr<const Gdk::Pixbuf> | get_page_header_image (const Widget& page) const
Glib::RefPtr<Gdk::Pixbuf> | get_page_header_image (const Widget& page)
Glib::RefPtr<const Gdk::Pixbuf> | get_page_side_image (const Widget& page) const
Glib::RefPtr<Gdk::Pixbuf> | get_page_side_image (const Widget& page)
Glib::ustring | get_page_title (const Widget& page) const
AssistantPageType | get_page_type (const Widget& page) const
const GtkAssistant* | gobj () const
| Provides access to the underlying C GtkObject.
GtkAssistant* | gobj ()
| Provides access to the underlying C GtkObject.
int | insert_page (Widget& page, int position)
int | prepend_page (Widget& page)
void | remove_action_widget (Widget& child)
void | set_current_page (int page_num)
void | set_forward_page_func (const SlotForwardPage& slot)
void | set_page_complete (const Widget& page, bool complete=true)
void | set_page_header_image (const Widget& page, const Glib::RefPtr<Gdk::Pixbuf>& pixbuf)
void | set_page_side_image (const Widget& page, const Glib::RefPtr<Gdk::Pixbuf>& pixbuf)
void | set_page_title (const Widget& page, const Glib::ustring& title)
void | set_page_type (const Widget& page, AssistantPageType type)
Glib::SignalProxy0<void> | signal_apply ()
Glib::SignalProxy0<void> | signal_cancel ()
Glib::SignalProxy0<void> | signal_close ()
Glib::SignalProxy1< void, Gtk::Widget* > | signal_prepare ()
void | update_buttons_state ()
virtual | ~Assistant ()
## Protected Member Functions
virtual void | on_apply ()
virtual void | on_cancel ()
virtual void | on_close ()
virtual void | on_prepare (Gtk::Widget* page)
## Related Functions
(Note that these are not member functions.)
Gtk::Assistant* | wrap (GtkAssistant* object, bool take_copy=false)

## Member Typedef Documentation

typedef sigc::slot<int, int > Gtk::Assistant::SlotForwardPage

## Constructor & Destructor Documentation

virtual Gtk::Assistant::~Assistant | ( |  | ) | `[virtual]`

Gtk::Assistant::Assistant | ( |  | ) |

## Member Function Documentation

void Gtk::Assistant::add_action_widget | ( | Widget& | child | ) |

int Gtk::Assistant::append_page | ( | Widget& | page | ) |

int Gtk::Assistant::get_current_page | ( |  | ) | const

int Gtk::Assistant::get_n_pages | ( |  | ) | const

const Widget* Gtk::Assistant::get_nth_page | ( | int | page_num | ) | const

Widget* Gtk::Assistant::get_nth_page | ( | int | page_num | ) |

bool Gtk::Assistant::get_page_complete | ( | const Widget& | page | ) | const

Glib::RefPtr<const Gdk::Pixbuf> Gtk::Assistant::get_page_header_image | ( | const Widget& | page | ) | const

Glib::RefPtr<Gdk::Pixbuf> Gtk::Assistant::get_page_header_image | ( | const Widget& | page | ) |

Glib::RefPtr<const Gdk::Pixbuf> Gtk::Assistant::get_page_side_image | ( | const Widget& | page | ) | const

Glib::RefPtr<Gdk::Pixbuf> Gtk::Assistant::get_page_side_image | ( | const Widget& | page | ) |

Glib::ustring Gtk::Assistant::get_page_title | ( | const Widget& | page | ) | const

AssistantPageType Gtk::Assistant::get_page_type | ( | const Widget& | page | ) | const

const GtkAssistant* Gtk::Assistant::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Window.

GtkAssistant* Gtk::Assistant::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Window.

int Gtk::Assistant::insert_page | ( | Widget& | page,
|  | int | position |
| ) |  |  |

virtual void Gtk::Assistant::on_apply | ( |  | ) | `[protected, virtual]`

virtual void Gtk::Assistant::on_cancel | ( |  | ) | `[protected, virtual]`

virtual void Gtk::Assistant::on_close | ( |  | ) | `[protected, virtual]`

virtual void Gtk::Assistant::on_prepare | ( | Gtk::Widget* | page | ) | `[protected, virtual]`

int Gtk::Assistant::prepend_page | ( | Widget& | page | ) |

void Gtk::Assistant::remove_action_widget | ( | Widget& | child | ) |

void Gtk::Assistant::set_current_page | ( | int | page_num | ) |

void Gtk::Assistant::set_forward_page_func | ( | const SlotForwardPage& | slot | ) |

void Gtk::Assistant::set_page_complete | ( | const Widget& | page,
|  | bool | complete = `true` |
| ) |  |  |

void Gtk::Assistant::set_page_header_image | ( | const Widget& | page,
|  | const Glib::RefPtr<Gdk::Pixbuf>& | pixbuf |
| ) |  |  |

void Gtk::Assistant::set_page_side_image | ( | const Widget& | page,
|  | const Glib::RefPtr<Gdk::Pixbuf>& | pixbuf |
| ) |  |  |

void Gtk::Assistant::set_page_title | ( | const Widget& | page,
|  | const Glib::ustring & | title |
| ) |  |  |

void Gtk::Assistant::set_page_type | ( | const Widget& | page,
|  | AssistantPageType | type |
| ) |  |  |

Glib::SignalProxy0< void > Gtk::Assistant::signal_apply | ( |  | ) |

Prototype:
  `void apply()`

Glib::SignalProxy0< void > Gtk::Assistant::signal_cancel | ( |  | ) |

Prototype:
  `void cancel()`

Glib::SignalProxy0< void > Gtk::Assistant::signal_close | ( |  | ) |

Prototype:
  `void close()`

Glib::SignalProxy1<void,Gtk::Widget*> Gtk::Assistant::signal_prepare | ( |  | ) |

Prototype:
  `void prepare(Gtk::Widget* page)`

void Gtk::Assistant::update_buttons_state | ( |  | ) |

## Friends And Related Function Documentation

Gtk::Assistant* wrap | ( | GtkAssistant * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- assistant.h